> For the complete documentation index, see [llms.txt](https://doc.ecomm.api.tietoevry.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.ecomm.api.tietoevry.com/api-references/unified-merchant-api/callback-notifications.md).

# Callback notifications

Callback notifications are used to notify merchants about changes to the payment status. The notification is only sent when the Callback URL is configured in the Shop settings.

When callback is received you can call the [get payment information](/api-references/unified-merchant-api/payments.md#get-egw-version-payments-paymentid) endpoint to receive up to date details about the payment. No response body is expected in response to the notifications.

Failure to deliver the notification will trigger retries with an increasing delay - after 1 second, 5 minutes, 1 hour, 1 day, 2 days, 3 days. If all retry attempts are unsuccessful no further requests will be made.

## Callback notification

> Notifies the merchant about payment status changes.

```json
{"openapi":"3.1.0","info":{"title":"E-commerce Gateway Callback API","version":"1.0.0"},"servers":[{"url":"https://hostname"}],"paths":{"/":{"post":{"summary":"Callback notification","description":"Notifies the merchant about payment status changes.","operationId":"callbackNotification","parameters":[{"name":"X-Request-Id","in":"header","description":"ID of the request, unique to the call, as determined by the initiating party","required":true,"schema":{"type":"string","format":"uuid","description":"ID of the request, unique to the call, as determined by the initiating party"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CallbackRequest"}}},"required":true},"responses":{"2XX":{"description":"Notification received.\n\nAny other response code will be treated as a failure and the notification will be retried at a later time.\n"}}}}},"components":{"schemas":{"CallbackRequest":{"type":"object","properties":{"type":{"type":"string","description":"The type of the notification, possible values:\n  * PAYMENT - notification about payment status changes\n","enum":["PAYMENT"]},"paymentId":{"type":"string","description":"Unique ID of the payment","maxLength":64},"paymentStatus":{"type":"string","description":"The new status of the payment","enum":["SENT_FOR_PROCESSING","ABANDONED","AUTHORIZED","CAPTURED","CANCELLED","SETTLED","FAILED","REFUNDED"]}},"required":["type"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://doc.ecomm.api.tietoevry.com/api-references/unified-merchant-api/callback-notifications.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
